<template>
  <div :class="bgClass" class="pt-4 pb-4 pt-md-5 pb-md-5">
    <div class="container">
      <div :class="{ 'flex-row-reverse': imageRight }" class="row">
        <div class="col-md-6">
          <b-img-lazy
            v-if="!specialAtys"
            :src="image"
            :alt="title"
            class="full-width"
          />
          <div v-else class="container d-flex justify-content-center">
            <div
              :style="
                'width:100%;max-width:666px;background-size: cover;background-repeat:no-repeat;background-image: url(' +
                  require('~/assets/images/atys/atys_big_transparent.png') +
                  ');'
              "
            >
              <img :src="atysImage" style="max-width: 100%;" alt="Atys" />
            </div>
          </div>
        </div>
        <div
          class="col-md-6 d-flex flex-column justify-content-start pt-4 pt-md-0 no-mb-last"
        >
          <h2
            :class="{
              'text-md-right': imageRight,
            }"
          >
            {{ title }}
          </h2>

          <div class="text-md-justify">
            <slot></slot>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    image: {
      type: String,
      default: '',
    },
    title: {
      type: String,
      required: true,
    },
    bgClass: {
      type: String,
      default: '',
    },
    imageRight: {
      type: Boolean,
      default: false,
    },
    specialAtys: {
      type: Boolean,
      default: false,
    },
  },
  computed: {
    atysImage() {
      return require('~/assets/images/atys/atys_labels_' +
        this.$i18n.locale +
        '.svg');
    },
  },
};
</script>

<style>
.no-mb-last *:last-child {
  margin-bottom: 0 !important;
}
</style>
